link: release/32462
meta:
  added_date: 2025-03-21T14:21
  edited_date: 2025-03-21T14:22
  fetched_date: 2025-12-07T18:22
  ttl: 86400
  visitors: 34
name: Alien Hominid Invasion
picture_full: https://media.vgm.io/releases/16/32461/32461-1742595205.png
picture_small: https://thumb-media.vgm.io/releases/16/32461/32461-1742595205.png
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=32462
